package m05bTarjetasEJB;

import java.rmi.RemoteException;

import javax.ejb.EJBObject;

import m05bBD.m05bTarjetas;

public interface m05Tarjetas extends EJBObject{

  public String getTar_numero()throws RemoteException;
  public void setTar_numero(String n)throws RemoteException;

  public String getTar_matricula()throws RemoteException;
  public void setTar_matricula(String n)throws RemoteException;

  public String getTar_centro()throws RemoteException;
  public void setTar_centro(String n)throws RemoteException;

  public String getTar_limite()throws RemoteException;
  public void setTar_limite(String n)throws RemoteException;

  public String getTar_falta()throws RemoteException;
  public void setTar_falta(String n)throws RemoteException;

  public String getTar_fbaja()throws RemoteException;
  public void setTar_fbaja(String n)throws RemoteException;

  public String getTar_fsolic()throws RemoteException;
  public void setTar_fsolic(String n)throws RemoteException;

  public String getTar_fcaduc()throws RemoteException;
  public void setTar_fcaduc(String n)throws RemoteException;

  public String getTar_literal()throws RemoteException;
  public void setTar_literal(String n)throws RemoteException;

  public String getTar_ncuenta()throws RemoteException;
  public void setTar_ncuenta(String n)throws RemoteException;

  public String getTar_plastic()throws RemoteException;
  public void setTar_plastic(String n)throws RemoteException;

  public String getTar_situacion()throws RemoteException;
  public void setTar_situacion(String n)throws RemoteException;

  public String getTar_incidencia()throws RemoteException;
  public void setTar_incidencia(String n)throws RemoteException;

  public String getTar_impreso()throws RemoteException;
  public void setTar_impreso(String n)throws RemoteException;

  public String getTar_fimpreso()throws RemoteException;
  public void setTar_fimpreso(String n)throws RemoteException;

  public String getTar_fcambio()throws RemoteException;
  public void setTar_fcambio(String n)throws RemoteException;

  public String getTar_tag()throws RemoteException;
  public void setTar_tag(String n)throws RemoteException;

  public String getTar_tipo()throws RemoteException;
  public void setTar_tipo(String n)throws RemoteException;


  /**
   * Returns the Asignacion information of this E-EJB.
   */
  public m05bTarjetas getTarjetas()
    throws RemoteException;
}
